## dh-kpatches 0.99.10

=== Makefile ===
DESTDIR		=
prefix		= /usr

bindir		= ${prefix}/bin
datadir		= ${prefix}/share/debhelper/dh-kpatches
docdir		= ${prefix}/share/doc/dh-kpatches
mandir		= ${prefix}/share/man
man1dir		= ${mandir}/man1

SCRIPT		= dh_installkpatches
TEMPLATES	= apply.tmpl unpatch.tmpl

all: ${SCRIPT}
	make -C doc all

${SCRIPT}: ${SCRIPT}.in
	sed -e s=@TMPLDIR@=${datadir}= <$< >$@
	chmod 755 $@

clean:
	rm -rf ${SCRIPT}
	make -C doc clean

install: all
	install -m755 -d ${DESTDIR}${datadir} ${DESTDIR}${bindir}
	install -m755 ${SCRIPT} ${DESTDIR}${bindir}
	install -m644 ${TEMPLATES} ${DESTDIR}${datadir}
	make -C doc install

uninstall:
	rm -f ${DESTDIR}${bindir}/${SCRIPT}
	rm -rf ${DESTDIR}${datadir}
	make -C doc uninstall
