=== doc/Makefile ===
DESTDIR		=
prefix		= /usr

docdir		= ${prefix}/share/doc/dh-kpatches
mandir		= ${prefix}/share/man
man1dir		= ${mandir}/man1

MANPAGE	= dh_installkpatches.1

POLICY		= kpatch-policy.sgml
PROCESSEDPOLICIES = ${POLICY:.sgml=.txt} ${POLICY:.sgml=.html}

# debiandoc2* attempts to do something nasty with locale set
export LC_ALL=C

all: ${MANPAGE} policy dh-kpatches

policy: ${PROCESSEDPOLICIES}
dh-kpatches: dh-kpatches.pdf dh-kpatches.html
dh-kpatches.pdf dh-kpatches.html: dh_installkpatches.refentry-contents.sgml

clean:
	rm -f ${MANPAGE} ${POLICY:.sgml=.txt} \
		manpage.refs manpage.links \
		*.jtex *.fot *.aux *.log *.out *.ps *.pdf
	rm -rf *.html

install: all
	install -m755 -d ${DESTDIR}${man1dir}
	install -m644 ${MANPAGE} ${DESTDIR}${man1dir}

	install -m755 -d ${DESTDIR}${docdir}
	cp -a ${POLICY:.sgml=.*} ${DESTDIR}${docdir}
	install -m644 dh-kpatches.pdf dh-kpatches.html ${DESTDIR}${docdir}

uninstall:
	rm -rf ${DESTDIR}${docdir}
	rm -f ${DESTDIR}${man1dir}/${MANPAGE}

%.txt: %.debiandoc.sgml
	debiandoc2text $<
	mv ${<:.sgml=.txt} $@

%.html: %.debiandoc.sgml
	debiandoc2html $<
	mv ${<:.sgml=.html} $@

%.1: %.refentry.sgml
	docbook2man $<

#%.html: %.docbook.sgml
#	docbook-2-html -s gtk -O -Vnochunks $< >$@

%.html: %.docbook.sgml
	jade -Vnochunks -t sgml \
		-d /usr/share/sgml/docbook/stylesheet/dsssl/alcove/html/gtk-doc.dsl \
		dh-kpatches.docbook.sgml >$@

%.pdf: %.docbook.sgml
	docbook-2-pdf -s bookarticle $<
	mv ${<:.sgml=.pdf} $@
