=== debian/changelog ===
dh-kpatches (0.99.10) unstable; urgency=low

  * Allow non-range kernel-version specification in kpatches files to have
    a non-empty EXTRAVERSION (Closes: #141427).
  * Document that those are not allowed (yet) in kversion ranges.

 -- Yann Dirson <dirson@debian.org>  Tue,  9 Apr 2002 00:49:59 +0200

dh-kpatches (0.99.9) unstable; urgency=low

  * Updated documentation.  Described the future "revision 1" kpatches
    format in details.
  * Updated README-kernelpatch for new Depends behaviour.

 -- Yann Dirson <dirson@debian.org>  Tue, 19 Feb 2002 08:00:42 +0100

dh-kpatches (0.99.8) unstable; urgency=low

  * Restructured APPLIED files with a controlfile-like format, for
    more extensibility.
  * Automatically apply and remove patches declared as dependencies, on
    apply and unpatch (Closes: #122330).
  * Reworked plans for 1.0 - still 2 major features possible to implement
    without rewriting apply/unpatch in perl.

 -- Yann Dirson <dirson@debian.org>  Mon, 18 Feb 2002 06:56:51 +0100

dh-kpatches (0.99.7) unstable; urgency=low

  * Implemented kernel-version ranges, using suggestion from Matt
    Zimmerman (Addresses: #122330).

 -- Yann Dirson <dirson@debian.org>  Thu, 14 Feb 2002 07:51:38 +0100

dh-kpatches (0.99.6) unstable; urgency=low

  * Reverted silly change in apply scripts wrt dependant patchid's
    containing hyphens (re-fixes #132710 - thanks to Olaf Meeuwissen).

 -- Yann Dirson <dirson@debian.org>  Wed, 13 Feb 2002 07:23:47 +0100

dh-kpatches (0.99.5) unstable; urgency=low

  * Fixed handling of Depends: field, now correctly working on a
    per-patchfile basis.
  * Moved docs in their own source directory.
  * Some cleanup in dh_installkpatches.
  * Moved doc from plain-text to docbook.  Use bookarticle style (from
    alcovebook-sgml) for pdf output.  Had to split the contents of the
    manpage away from their DTD, into their own file, to allow including
    them in the new doc as well - sigh.

 -- Yann Dirson <dirson@debian.org>  Mon, 11 Feb 2002 02:52:33 +0100

dh-kpatches (0.99.4) unstable; urgency=low

  * Added support for "Kernel-version: all" in kpatches files (patch by
    Olaf Meeuwissen, Closes: #132709).
  * Fixed check for patch dependencies containing hyphens (Closes:
    #132710).
  * Otherwise fixed support for hyphens in patch IDs, accidently broken in
    0.99.2.

 -- Yann Dirson <dirson@debian.org>  Fri,  8 Feb 2002 06:38:49 +0100

dh-kpatches (0.99.3) unstable; urgency=low

  * Added support for kpatch:Depends substitution.  Currently Expands to
    "bash (>=2.0)" for array variable support, and "patch" - you guess
    why.
  * Fixed 0.99.1 entry for kdb bug ref (thanks to P.M. Hahn).
  * Remove docbook2man aux files on clean.
  * Updated manpage, put it under FDL.
  * Allowed / in Patch-name (use | instead as sed separator), and
    documented restriction in usable chars here (| and " not allowed).

 -- Yann Dirson <dirson@debian.org>  Thu,  7 Feb 2002 09:03:46 +0100

dh-kpatches (0.99.2) unstable; urgency=low

  * Cope with hyphens in patch IDs - something I removed accidentally from
    0.99.1 (Closes: #131159).

 -- Yann Dirson <dirson@debian.org>  Sun, 27 Jan 2002 22:22:22 +0100

dh-kpatches (0.99.1) unstable; urgency=medium

  * WARNING: this release changes the behaviour of the apply scripts, so
    that patches whose version only approximately matches will by default
    not be applied.  This is a safety measure, to make the mechanism
    conform to the "least surprise" principle.  Environmnent variable are
    used to select exactly what release of which patch to apply.
  * Largely updated TODO file, heading for 1.0 release.

  * Fixed a bug with patches for several arches, where all patches were
    added to each arch (see kdb #130371).  Medium urgency since patch
    packages are broken when this occurs.

  * Updated example from kernel-patch-kdb 2.1, for an example of
    multi-patch package making use of patch dependancies.
  * Use "g" flag to sed, so that substitutions are all correctly done when
    creating apply/unpatch from templates.
  * Use "patch --force" instead of "patch --batch", so that
    already-applied patches do not get tested reversed on dry-run.
  * Install in patch packages a README-kernelpatch.Debian file, describing
    what to expect, and how to control the patch behaviour.
  * Selectively applied David Kimdon's patch for typos and english
    correctness (Closes: #126112).
  * Switch manpage generation to docbook-utils.
  * Update extended description for package.
  * Fixed 0.2 changelog entry below for the syntax of multiple kpatches
    files.
  * Use Build-Depends-Indep, not Build-Depends.
  * Updated Standards-Version to 3.5.6.

 -- Yann Dirson <dirson@debian.org>  Sun, 27 Jan 2002 16:07:36 +0100

dh-kpatches (0.7) unstable; urgency=low

  * Escape slashes in a patch name, so that sed does not fail (Closes:
    #110493).
  * Added lintian overrides for script templates reported non-executable.

 -- Yann Dirson <dirson@debian.org>  Mon, 10 Sep 2001 23:12:34 +0200

dh-kpatches (0.6) unstable; urgency=low

  * Simple handling of inter-patch dependencies: refuse to install a patch
    if deps are not OK.
  * Fixed substitution of PATCHARCH into scripts.

 -- Yann Dirson <dirson@debian.org>  Mon, 14 May 2001 16:25:34 +0200

dh-kpatches (0.5) unstable; urgency=medium

  * Do not cause make-kpkg to fail on unpatch if debian/ dir cannot be
    removed - thanks to Ard van Breemen (Closes: #96751).
  * Removed local vars from changelog - now useless.

 -- Yann Dirson <dirson@debian.org>  Wed,  9 May 2001 22:40:15 +0200

dh-kpatches (0.4) unstable; urgency=medium

  * Declare that we enhance debhelper.
  * Refuse patch-ids with invalid characters (Closes: #94635).
  * Added missing build-dep on docbook-to-man and debiandoc-sgml.

 -- Yann Dirson <dirson@debian.org>  Tue,  1 May 2001 22:43:13 +0200

dh-kpatches (0.3) unstable; urgency=low

  * Be kind with patch packages that create their (empty) APPLIED stamp

