=== debian/control ===
Source: dh-kpatches
Section: devel
Priority: extra
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends-Indep: debhelper, docbook-utils, docbook, debiandoc-sgml, sgml2x, alcovebook-sgml
Standards-Version: 3.5.6

Package: dh-kpatches
Architecture: all
Depends: ${perl:Depends}, debhelper (>= 2.0.14)
Suggests: kernel-package
Enhances: debhelper
Description: Debhelper script to help packaging kernel patches
 The dh_installkpatches script produces the "apply" and "unpatch" scripts
 that kernel-package uses to automatically handle kernel patches.  It
 provides a number of useful features like:
  * does its best to never break your kernel source tree
  * allows you to select any provided version of a patch
  * handle patch inter-dependencies
 .
 Patches are described in a Debian-standard control-file-like format.
