## dh-kpatches 0.99.34

=== debian/changelog ===
dh-kpatches (0.99.34) unstable; urgency=low

  * Updated EXTRAVERSION extraction for 2.6.5-3 and later
    kernel-patch-debian (See: #165505 - thanks to Dann Frazier).

 -- Yann Dirson <dirson@debian.org>  Wed,  5 May 2004 09:41:29 +0200

dh-kpatches (0.99.33) unstable; urgency=low

  * Fixed gzip invocation not to abort on already-compressed patches
    (Closes: #241257).

 -- Yann Dirson <dirson@debian.org>  Wed, 31 Mar 2004 18:00:23 +0200

dh-kpatches (0.99.32) unstable; urgency=low

  * Fixed checking of applied dependencies in apply script (bug detected
    by perl in 0.100 branch).
  * Improved START/END traces by telling PatchId in addition to PatchName.

 -- Yann Dirson <dirson@debian.org>  Thu,  8 Jan 2004 23:43:15 +0100

dh-kpatches (0.99.31) unstable; urgency=low

  * Implement multi-valued Architecture fields, as advertised in the doc
    (Closes: #216238):
    * Dirs containing diff files are not stored any more under per-arch
      directories since this has no meaning any more.  Instead they're put
      in /usr/src/kernel-patches/diffs/.
  * Now that patch application does not depend any more on old/deprecated
    PATCH_THE_KERNEL=YES, we can finally cause apply to fail when no
    alternative is found our kernel (Closes: #217138).  In practice, that
    will make "PATCH_THE_KERNEL=YES" even obsolete :)
  * Fixed README-kernelpatch note on the order in which sibling dependencies
    are applies and removed.  Removal ordering as documented there was
    plain wrong, and none of these orderings should be relied upon, since
    people should explicit inter-dependencies instead.
  * Added to README-kernelpatch how to handle chars in patchid's not
    allowed in environment variables.
  * Slightly clarified the message on unpatch of dependencies.
  * Internals doc: much work supposed to improve the internals' doc, so
    that v1 implementation gets easier.
  * Moved apply.tmpl and unpatch.tmpl into dh-kpatches.nw.
  * Reworked structure of apply.tmpl to use assertions where possible,
    instead of nesting if's.

 -- Yann Dirson <dirson@debian.org>  Sat,  6 Dec 2003 18:24:28 +0100

dh-kpatches (0.99.30) unstable; urgency=low

  * Transition of noweb doc chunks from LaTeX to HTML, for compatibility
    with upcoming code pretty-printing via enscript.
  * Added missing build-deb on nowebm (CLoses: #221032).
  * Use dh-buildinfo.

 -- Yann Dirson <dirson@debian.org>  Sun, 16 Nov 2003 19:32:55 +0100

dh-kpatches (0.99.29) unstable; urgency=low

  * The "literate programming is good for you" release.
  * Use noweb for main dh_installkpatches code.  This will help to make
    the structural changes the code still needs to implement v1
    file-format.
  * Transitionning to noweb must be done by reading the code first, and
    that helped to find some problems:  
    * Abort when a config file asked to be read cannot be openned, instead
      of silently ignoring the error.  
    * Don't include kernel-patch-scripts any more in kpatch:Depends, since
      that was only needed because of the register-patch scriptlet, not used
      any more since 0.99.24.
    * Kpatches file were only closed when they were read as v0 files - er,
      wait, we _only_ support v0 files :)

 -- Yann Dirson <dirson@debian.org>  Mon,  3 Nov 2003 20:55:32 +0100

dh-kpatches (0.99.28) unstable; urgency=low

  * Removed misleading "first" in unpatch output (Closes: #204119).
  * Ensure all messages on apply/unpatch are written to stderr.
  * Bracket apply and unpatch operations with START and END messages, to
    ease debugging complex dependencies.
  * Ensure that a patch depended on by several patches does not get
    unpatched until all of its dependants have been unpatched (Closes:
    #204160).

 -- Yann Dirson <dirson@debian.org>  Thu, 18 Sep 2003 00:10:31 +0200

dh-kpatches (0.99.27) unstable; urgency=low

  * Now check for version.Debian as well when trying to identify a
    Debian-patched kernel, to reflect changes in how debian kernels are
    now handled (Closes: #201075).

 -- Yann Dirson <dirson@debian.org>  Mon, 14 Jul 2003 13:32:52 +0200

dh-kpatches (0.99.26) unstable; urgency=low

  * Changed priority of kernel-patch-scripts to optional (Closes:
    #197612).

 -- Yann Dirson <dirson@debian.org>  Sat,  5 Jul 2003 10:02:10 +0200

dh-kpatches (0.99.25) unstable; urgency=low

  * Fixed unclean quoting of #PATCHNAME# which caused breakage because of
    changes in 0.99.24 for some patch names (Closes: #199447).

 -- Yann Dirson <dirson@debian.org>  Wed,  2 Jul 2003 22:56:50 +0200

dh-kpatches (0.99.24) unstable; urgency=low

  * Incorporated the contents of the register-patch template into apply
    script to make it more easy to add features there.  Still ship the
    template so that patches depending on it still apply when upgrading
    kpatch-scripts.
  * Register the kernel version the patch was for, when making use of the
    KPATCH_<patchid> mechanism to select an alternate one (Close:
    #198063).
  * Call docbook-2-* with --dssslproc instead of obsolete --jade flag;
    build-dep on 1.0.0 or newer.  
  * Bumped Standards-Version to 3.5.10, no change.

 -- Yann Dirson <dirson@debian.org>  Tue, 24 Jun 2003 23:48:27 +0200

dh-kpatches (0.99.23) unstable; urgency=low

  * Have apply scripts print a warning when no version of a requested
    patch was found for the kernel to be built.  Not yet the full
    functionality I'd like to have here, but closes: #193016.

 -- Yann Dirson <dirson@debian.org>  Fri, 30 May 2003 00:06:01 +0200

dh-kpatches (0.99.22) unstable; urgency=low

  * Fixed the build process to use openjade1.3 instead of jade, and wrap
    raw calls to the latter with runjade to catch errors if any.
  * Finally, also use sgml2x to generate the HTML, after fixing the
    commented-out invocation - that way, no need to fix the path to the
    stylesheet when it changes (Closes: #190883).
  * Build-depend on gtk-doc-tools to get the stylesheet, now that it is

