=== debian/changelog ===
dh-kpatches (0.99.35) unstable; urgency=low

  * Added support for single irregular kernel versions like 2.6.8.1 (patch
    from Norbert Buchmuller, closes: #274410).

 -- Yann Dirson <dirson@debian.org>  Sun, 24 Oct 2004 17:16:12 +0200
