=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
-Build-Depends-Indep: debhelper, docbook-utils, docbook, debiandoc-sgml, sgml2x, alcovebook-sgml
-Standards-Version: 3.5.6
+Build-Depends-Indep: debhelper (>> 4), docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), alcovebook-sgml, openjade1.3, gtk-doc-tools, nowebm, dh-buildinfo
+Standards-Version: 3.5.10
 
 Package: dh-kpatches
 Architecture: all
@@ -19,3 +19,15 @@
   * handle patch inter-dependencies
  .
  Patches are described in a Debian-standard control-file-like format.
+
+Package: kernel-patch-scripts
+Architecture: all
+Priority: optional
+Recommends: kernel-package
+Enhances: kernel-package
+Description: Scripts to help dealing with packaged kernel patches
+ This package contains scripts useful to people making use of the
+ various kernel-patch packages.  It currently contains:
+ .
+  * lskpatches: a tool that lists installed patches, and gives
+  useful information about them.
