=== debian/changelog ===
dh-kpatches (0.99.36) unstable; urgency=low

  * Have kernels in the short stable 4-numbers "branchlets" (eg. 2.6.11.x)
    of the 2.6 line default to using a patch with matching 3-numbers
    version if a 4-numbers one is not found (Closes: #309147).  This is
    not 100% accurate since EXTRAVERSION is used for many things, but
    well, it looks like we'll have to live with this way of numbering the
    kernels.  
  * Removed special handling of 2.6.8.1 as an "irregular version", since
    it falls in the above case.  The "irregular version" mechanism is
    kept, in case we have to find a quick solution to another kernel
    versionning change.
  * Revert abusive merging of regexp from 0.99.35: we do not need to be as
    strict on single versions are we need to be on ranged ones (Closes:
    #281801).
  * Avoid spurious warning messages from dpkg-gencontrol (Closes: #263617).

 -- Yann Dirson <dirson@debian.org>  Thu,  9 Jun 2005 00:45:43 +0200
