## dh-kpatches 0.99.36+nmu1

=== doc/Makefile ===
--- 
+++ 
@@ -52,6 +52,6 @@
 	rmdir -p $*-html
 
 %.pdf: %.docbook.sgml
-	docbook-2-pdf --dssslproc openjade1.3 -s bookarticle $<
+	docbook-2-pdf --dssslproc openjade1.3 $<
 
 .DELETE_ON_ERROR:
