=== debian/changelog ===
dh-kpatches (0.99.36+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * No longer use alcovebook-sgml features (Closes: #638637).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 20 Aug 2011 15:25:13 +0200
