=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
-Build-Depends-Indep: debhelper (>> 4), docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), alcovebook-sgml, openjade1.3, gtk-doc-tools, nowebm, dh-buildinfo
+Build-Depends-Indep: debhelper (>> 4), docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), openjade1.3, gtk-doc-tools, nowebm, dh-buildinfo
 Standards-Version: 3.5.10
 
 Package: dh-kpatches
