=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

PACKAGE=dh-kpatches
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | sed 's/Version: *//')

topdir=$(shell pwd)
debdir=${topdir}/debian
tmpdir=${debdir}/tmp
tmpldir=${tmpdir}/usr/share/debhelper/dh-kpatches/

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=${tmpdir}

	mkdir -p ${tmpdir}/usr/share/lintian/overrides
	cp -p debian/dh-kpatches.overrides ${tmpdir}/usr/share/lintian/overrides/dh-kpatches
	cp -p debian/kernel-patch-scripts.overrides ${tmpdir}/usr/share/lintian/overrides/kernel-patch-scripts

	mkdir -p ${tmpldir}
	sed s/@VERSION@/${VERSION}/g <debian/README-kernelpatch \
		>${tmpldir}/README-kernelpatch.Debian

	dh_movefiles
	test -z `find debian/tmp -not -type d | tee /dev/stderr`

binary-arch: build install
# We have nothing to do by default.

binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs TODO
	dh_buildinfo
	dh_installexamples examples/*
	dh_installchangelogs 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
