## dh-kpatches 0.99.36+nmu2

=== doc/Makefile ===
--- 
+++ 
@@ -48,10 +48,10 @@
 	docbook2man $<
 
 %.html: %.docbook.sgml
-	docbook-2-html --dssslproc openjade1.3 -s gtk -O -Vnochunks -O -Vonechunk $< >$@
+	docbook-2-html --dssslproc openjade -s gtk -O -Vnochunks -O -Vonechunk $< >$@
 	rmdir -p $*-html
 
 %.pdf: %.docbook.sgml
-	docbook-2-pdf --dssslproc openjade1.3 $<
+	docbook-2-pdf --dssslproc openjade $<
 
 .DELETE_ON_ERROR:
