=== debian/changelog ===
dh-kpatches (0.99.36+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Changed build dependency from openjade1.3 to openjade because
    openjade1.3 will be removed from Debian. (Closes: #809599).

 -- Neil Roeth <neil@debian.org>  Fri, 22 Jan 2016 22:45:13 -0500
