## dh-kpatches 0.99.36+nmu3

=== debian/changelog ===
dh-kpatches (0.99.36+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Move to debhelper compat level 9. (Closes: #817430)
    - Move debhelper to Build-Depends (from Build-Depends-Indep) to satisfy
      clean target.

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Sep 2016 14:54:06 +0200
