=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
-Build-Depends-Indep: debhelper (>> 4), docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), openjade, gtk-doc-tools, nowebm, dh-buildinfo
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), openjade, gtk-doc-tools, nowebm, dh-buildinfo
 Standards-Version: 3.5.10
 
 Package: dh-kpatches
