## dh-kpatches 0.99.36+nmu4

=== debian/changelog ===
dh-kpatches (0.99.36+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * Orphan package. See
    <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=776941#20>
  * Make make kernel builds reproducible. (Closes: #776941)

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Feb 2017 17:46:34 +0800
