=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dh-kpatches
 Section: devel
 Priority: extra
-Maintainer: Yann Dirson <dirson@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: docbook-utils, docbook, debiandoc-sgml, sgml2x (>= 1.0.0), openjade, gtk-doc-tools, nowebm, dh-buildinfo
 Standards-Version: 3.5.10
