## dh-kpatches 0.100.1

=== debian/changelog ===
dh-kpatches (0.100.1) experimental; urgency=low

  * Start of the real rewriting work that will lead to v1.0.  Since that's
    really rewriting work, that'll be experimental for some time.  
  * Migrated apply/unpatch to perl (one long-standing item done, yay!).
  * Start of a dh-make template, not installed.
  * Adjusted things so that "make datadir=$PWD" results in an
    execute-in-place tree.

 -- Yann Dirson <dirson@debian.org>  Tue, 16 Dec 2003 18:53:52 +0100
