=== tmp/kernel-patch-kdb/debian/changelog ===
kernel-patch-kdb (4.3-5) unstable; urgency=low

  * Include patches for 2.4.23 (i386, ia64).
  * Drop patches for 2.4.20 and 2.2.18.

 -- Yann Dirson <dirson@debian.org>  Sun,  7 Dec 2003 12:33:20 +0100

kernel-patch-kdb (4.3-4) unstable; urgency=low

  * i386 and ia64 patches for 2.4.22.
  * Bumped Standards-version to 3.6.1, no change.

 -- Yann Dirson <dirson@debian.org>  Thu, 16 Oct 2003 18:38:48 +0200

kernel-patch-kdb (4.3-3) unstable; urgency=low

  * New version of common and i386 patches for 2.4.21, and patch for
    2.4.21 on ia64.  This adds new (but undocumented) commands on i386:
    rdv, gdt, idt, ldt, ldtp, ptex.

 -- Yann Dirson <dirson@debian.org>  Tue, 22 Jul 2003 11:33:22 +0200

kernel-patch-kdb (4.3-2) unstable; urgency=low

  * New version of i386 patch for 2.4.21.
  * Updated README file.

 -- Yann Dirson <dirson@debian.org>  Thu,  3 Jul 2003 15:43:32 +0200

kernel-patch-kdb (4.3-1) unstable; urgency=low

  * New upstream release, supporting i386, ia64 and sparc64 for 2.4.20,
    and i386 and sparc64 for 2.4.21.  Did not provide debian-adapted
    versions yet.  
  * Installed new dump.txt file about interactions with LKCD.  Will
    require the "flavour" feature of upcoming dh-kpatches 1.x to make
    automated use of those instructions.  
  * Bumped Standards-Version to 3.5.10, no change.

 -- Yann Dirson <dirson@debian.org>  Sun, 29 Jun 2003 09:41:19 +0200

kernel-patch-kdb (4.1-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Dropped old
    sparc64 patch.
  * Provide a modified patch for the debian-patched 2.4.20 kernel, based
    on the modifications to kdb 2.3 by Sean Finney, using the
    Debian-patch-file hack of dh-kpatches 0.99.21 (Closes: #172826).
  * New command btt.

 -- Yann Dirson <dirson@debian.org>  Wed, 23 Apr 2003 18:49:28 +0200

kernel-patch-kdb (3.0-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Kept v2.1 patch 
    for sparc64. 
  * Doc updates to reflect the new stuff (btc command, history and
    completion).  Noticed that some new commands mentionned in Changelog
    are not documented anywhere (fl, defcmd/endefcmd).
  * Removed trailing period from short desc.

 -- Yann Dirson <dirson@debian.org>  Fri, 14 Feb 2003 11:35:08 +0100

kernel-patch-kdb (2.5-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Kept v2.1 patch
    for sparc64.

 -- Yann Dirson <dirson@debian.org>  Wed, 27 Nov 2002 00:10:04 +0100

kernel-patch-kdb (2.3-4) unstable; urgency=low

  * New upstream common and i386 patches for 2.3, on 2.4.19 and 2.5.43.
  * Install 2.5 ChangeLogs again.
  * Improved installation of manpages - should not require modifications
    any more when new manpages are added.

 -- Yann Dirson <dirson@debian.org>  Thu, 17 Oct 2002 22:22:59 +0200

kernel-patch-kdb (2.3-3) unstable; urgency=low

  * New upstream common and i386 patches for 2.3, on 2.4.19 and 2.5.42.

 -- Yann Dirson <dirson@debian.org>  Mon, 14 Oct 2002 23:59:23 +0200

kernel-patch-kdb (2.3-2) unstable; urgency=low

  * New upstream patch for 2.3 on ia64.
  * Use dh-kpatches 0.99.16, factorized Depends lines in kpatches file.
  * Bounced Standards-Version to 3.5.7.
  * Stop shipping 2.1 for early 2.5 - presumably noone's using them
    any more, and they're eating too much space.

 -- Yann Dirson <dirson@debian.org>  Wed, 11 Sep 2002 22:31:08 +0200

kernel-patch-kdb (2.3-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Kept v2.1 patch
    for sparc64.
  * Use latest and greatest dh-kpatches (0.99.13).

 -- Yann Dirson <dirson@debian.org>  Fri, 16 Aug 2002 03:31:37 +0200

kernel-patch-kdb (2.1-4-1) unstable; urgency=low

  * Replaced 2.4.18 i386 patch with new one, which was regenerated
    upstream (only changes in diff headers).
  * Updated 2.4.18 kdbcore to latest.
  * Added 2.4.19-pre6 and 2.5.7 for i386.

 -- Yann Dirson <dirson@debian.org>  Mon, 22 Apr 2002 00:52:43 +0200

kernel-patch-kdb (2.1-3-1) unstable; urgency=low

  * Added patches for 2.4.18 and 2.5.5 (no ia64 patch for 2.5.5 though).
  * 2.4 and 2.5 have independant changelogs, install both.
  * Doc includes a presentation and demonstration using magicpoint -
    suggesting package mgp.

 -- Yann Dirson <dirson@debian.org>  Wed, 20 Mar 2002 00:50:47 +0100

kernel-patch-kdb (2.1-2-1) unstable; urgency=low

  * Updated common and ia64 patches to latest.
  * New arch patch: sparc64.

 -- Yann Dirson <dirson@debian.org>  Thu, 21 Feb 2002 04:50:05 +0100

kernel-patch-kdb (2.1-5) unstable; urgency=low

  * Use dh-kpatches 0.99.8 to get transparent application of kdbcore.

 -- Yann Dirson <dirson@debian.org>  Mon, 18 Feb 2002 06:58:43 +0100

kernel-patch-kdb (2.1-4) unstable; urgency=low

  * Rebuild with 0.99.5.  Should fix Depends issue for 2.2 kernels.

 -- Yann Dirson <dirson@debian.org>  Mon, 11 Feb 2002 04:22:50 +0100

kernel-patch-kdb (2.1-3) unstable; urgency=low

  * Use kpatch:Depends from dh-kpatches 0.99.3.
  * Fixed debian/rules to put the build in binary-indep, not -arch;
    removed useless call to dh_shlibdeps.
  * Fixed original packaging - use pristine source this time.

 -- Yann Dirson <dirson@debian.org>  Thu,  7 Feb 2002 09:16:35 +0100

kernel-patch-kdb (2.1-2) unstable; urgency=medium

  * Use dh-kpatches 0.99.1 (Closes: #129430).
  * Updated README.Debian.

 -- Yann Dirson <dirson@debian.org>  Sun, 27 Jan 2002 16:10:59 +0100

kernel-patch-kdb (2.1-1) unstable; urgency=low

  * New upstream release, supporting 2.4.17.  Only keep 1.5 for 2.2.18 as
    additional patch (Closes: #129430).
  ** Patch is now split into arch-indep and arch-specific parts.
  ** Some sparc64 support, many update in the doc to reflect this.
  * Install arch-specific changelogs.
  * Documented doc and changelog extraction in README.Debian.
  * Use build-depend-indep, not build-depend (lintian).

 -- Yann Dirson <dirson@debian.org>  Sun, 20 Jan 2002 18:51:47 +0100


