=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	cp -p debian/kernel-patch-scripts.overrides ${tmpdir}/usr/share/lintian/overrides/kernel-patch-scripts
 
 	mkdir -p ${tmpldir}
-	sed s/@VERSION@/${VERSION}/g <debian/README-kernelpatch \
+	sed s/@VERSION@/${VERSION}/g <README-kernelpatch.Debian \
 		>${tmpldir}/README-kernelpatch.Debian
 
 	dh_movefiles
