## dh-kpatches 0.100.1+nmu1

=== debian/changelog ===
dh-kpatches (0.100.1+nmu1) experimental; urgency=low

  * Non-maintainer upload.
  * No longer use alcovebook-sgml features (Closes: #638637).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 20 Aug 2011 15:27:23 +0200
